%define		_state		stable
%define		orgname		kcolorchooser
%define		qtver		4.8.1

Summary:	Color chooser
Summary(pl.UTF-8):	Program do wybierania kolorów
Name:		kde4-kcolorchooser
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	142e7c26a56ea5d7bb7e1f123b7d7541
URL:		http://www.kde.org/
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	xorg-lib-libX11-devel
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kde4-kdegraphics-kcolorchooser < 4.6.99
Obsoletes:	kcolorchooser < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Color chooser.

%description -l pl.UTF-8
Program do wybierania kolorów.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DGWENVIEW_SEMANTICINFO_BACKEND=Nepomuk \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcolorchooser
%{_desktopdir}/kde4/kcolorchooser.desktop
%{_iconsdir}/[!l]*/*/*/kcolorchooser.*
%changelog
* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0134ab0
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> df56354
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cdacc8
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fae74b
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b6aa322
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d707e80
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bf19845
- now as kde4-kcolorchooser

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 81cddce
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a813160
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f59c98
- up to 4.7.3

* Wed Oct 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c192dc3
- up to 4.7.2

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 146b97c
- rel 2

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 93496de
- rel 1

* Tue Aug 02 2011 lmasko <lmasko@pld-linux.org> 725338c
- Initial release for KDE 4.7.0.
- BRs may need adjustment.

